Package com.ads.api.util

# Class TestManagerUtil

java.lang.Object
com.ads.api.util.BaseUtil
com.ads.api.util.TestManagerUtil

public class TestManagerUtil extends com.ads.api.util.BaseUtil
Contains the methods which performs the operations like Creation, Update, Deletion and Retrieval of TestCase, TestCases, ValidationStep, and ValidationSteps. Some of the methods are of Resizable-array implementations, Hash table based implementations and RequestStatus return type.

Resizable-array Implements all optional list operations.Each ArrayList instance has a capacity. The capacity is the size of the array used to store the elements in the list. It is always at least as large as the list size. Hash table based implementation provides all of the optional map operations.

RequestStatus as return type methods will result in being returned as either true or false as its status.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.ads.api.util.BaseUtil

  `com.ads.api.util.BaseUtil.TokenType`

- ## Field Summary

  ### Fields inherited from class com.ads.api.util.BaseUtil

  `AUTH_TOKEN, AUTH_TOKEN_TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RequestStatus`
  `addTestCase(int nodeId, Node.NodeType nodeType, TestCase testCase)`
  TestCase will be added for the specified nodeId of nodeType with the details given in TestCase Object.
  `String`
  `addTestCaseAs(int nodeId, String nodeType, String testCaseObjJson, String outputFormat)`
  TestCase will be added for the specified nodeId of nodeType with the details given in TestCase Object.
  `RequestStatus`
  `addValidationStep(int nodeId, Node.NodeType nodeType, String testCaseName, TestCaseValidationStep validationStep)`
  ValidationStep will be added for the specified testCaseName of nodeId, nodeType with details given in TestCaseValidationStep Object.
  `RequestStatus`
  `addValidationStep(int testCaseId, TestCaseValidationStep validationStep)`
  ValidationStep will be added for the specified testCaseId with details given in TestCaseValidationStep Object.
  `String`
  `addValidationStepAs(int testCaseId, String validationStepObjJson, String outputFormat)`
  ValidationStep will be added for the specified testCaseId with details given in TestCaseValidationStep Object.
  `String`
  `addValidationStepAs(int nodeId, String nodeType, String testCaseName, String validationStepJsonObj, String outputFormat)`
  ValidationStep will be added for the specified testCaseName of nodeId, nodeType with details given in TestCaseValidationStep Object.
  `RequestStatus`
  `addValidationSteps(int nodeId, Node.NodeType nodeType, String testCaseName, List<TestCaseValidationStep> validationSteps)`
  ValidationSteps will be added for the specified testCaseName of nodeId, nodeType with details given in the List of TestCaseValidationStep Objects.
  `RequestStatus`
  `addValidationSteps(int testCaseId, List<TestCaseValidationStep> validationSteps)`
  ValidationSteps will be added for the specified testCaseId with details given in the List of TestCaseValidationStep Objects.
  `String`
  `addValidationStepsAs(int testCaseId, String validationStepsJsonArray, String outputFormat)`
  ValidationSteps will be added for the specified testCaseId with details given in the List of TestCaseValidationStep Objects.
  `String`
  `addValidationStepsAs(int nodeId, String nodeType, String testCaseName, String validationStepsJsonArray, String outputFormat)`
  ValidationSteps will be added for the specified testCaseName of nodeId, nodeType with details given in the List of TestCaseValidationStep Objects.
  `RequestStatus`
  `deleteTestCase(int testCaseId)`
  Removes the TestCase of the specified testCaseId.
  `String`
  `deleteTestCaseAs(int testCaseId, String outputFormat)`
  Removes the TestCase of the specified testCaseId.
  `RequestStatus`
  `deleteTestCases(List<Integer> testCaseIds)`
  Removes the TestCases of the specified List of testCaseId's.
  `String`
  `deleteTestCasesAs(String testCaseIdsJsonArray, String outputFormat)`
  Removes the TestCases of the specified List of testCaseId's.
  `RequestStatus`
  `deleteValidationStep(int validationStepId)`
  Removes the ValidationStep of the specified validationStepId.
  `RequestStatus`
  `deleteValidationStep(int nodeId, Node.NodeType nodeType, String testCaseName, String stepName)`
  Removes the ValidationStep of the specified stepName, testCaseName, nodeId, nodeType.
  `RequestStatus`
  `deleteValidationStep(int testCaseId, String stepName)`
  Removes the ValidationStep of the specified testCaseId and stepName.
  `String`
  `deleteValidationStepAs(int testCaseId, String stepName, String outputFormat)`
  Removes the ValidationStep of the specified testCaseId and stepName.
  `String`
  `deleteValidationStepAs(int nodeId, String nodeType, String testCaseName, String stepName, String outputFormat)`
  Removes the ValidationStep of the specified stepName, testCaseName, nodeId, nodeType.
  `String`
  `deleteValidationStepByIdAs(int validationStepId, String outputFormat)`
  Removes the ValidationStep of the specified validationStepId.
  `RequestStatus`
  `deleteValidationSteps(int testCaseId)`
  Removes the ValidationSteps of the specified testCaseId.
  `RequestStatus`
  `deleteValidationSteps(int nodeId, Node.NodeType nodeType, String testCaseName, List<String> stepNames)`
  Removes the ValidationSteps of the specified List of stepNames, testCaseName, nodeId, nodeType.
  `RequestStatus`
  `deleteValidationSteps(int testCaseId, List<String> stepNames)`
  Removes the ValidationSteps of the specified testCaseId and List of stepNames.
  `RequestStatus`
  `deleteValidationSteps(List<Integer> stepIds)`
  Removes the TestSteps of the specified List of stepIds.
  `String`
  `deleteValidationStepsAs(int testCaseId, String outputFormat)`
  Removes the ValidationSteps of the specified testCaseId.
  `String`
  `deleteValidationStepsAs(int testCaseId, String stepNamesJsonArray, String outputFormat)`
  Removes the ValidationSteps of the specified testCaseId and List of stepNames.
  `String`
  `deleteValidationStepsAs(int nodeId, String nodeType, String testCaseName, String stepNamesJsonArray, String outputFormat)`
  Removes the ValidationSteps of the specified List of stepNames, testCaseName, nodeId, nodeType.
  `String`
  `deleteValidationStepsAs(String stepIdsJsonArray, String outputFormat)`
  Deletes the TestSteps for the specified List of stepIds.
  `TestCase`
  `getTestCase(int testCaseId)`
  Returns the TestCase Details such as TestCaseId, TestCaseName, TestCaseLabel, TypeOfTesting, Description and AuditHistory etc...
  `TestCase`
  `getTestCase(int nodeId, Node.NodeType nodeType, String testCaseName)`
  Returns the TestCase Details such as TestCaseId, TestCaseName, TestCaseLabel, TypeOfTesting, Description and AuditHistory etc...
  `String`
  `getTestCaseAs(int testCaseId, String outputFormat)`
  Returns the TestCase Details such as TestCaseId, TestCaseName, TestCaseLabel, TypeOfTesting, Description and AuditHistory etc...
  `String`
  `getTestCaseAs(int nodeId, String nodeType, String testCaseName, String outputFormat)`
  Returns the TestCase Details such as TestCaseId, TestCaseName, TestCaseLabel, TypeOfTesting, Description and AuditHistory etc...
  `List<TestCase>`
  `getTestCases(int nodeId, Node.NodeType nodeType)`
  Returns the List of TestCase objects with Details such as TestCaseId, TestCaseName, TestCaseLabel, TypeOfTesting, Description and AuditHistory etc...for the specified nodeId of nodeType.
  `List<TestCase>`
  `getTestCases(List<Integer> testCaseIds)`
  Returns the TestCases with Details such as TestCaseId, TestCaseName, TestCaseLabel, TypeOfTesting, Description and AuditHistory etc...
  `String`
  `getTestCasesAs(int nodeId, String nodeType, String outputFormat)`
  Returns the List of TestCase objects with Details such as TestCaseId, TestCaseName, TestCaseLabel, TypeOfTesting, Description and AuditHistory etc...for the specified nodeId of nodeType.
  `String`
  `getTestCasesAs(String testCaseIdsJson, String outputFromat)`
  Returns the TestCases with Details such as TestCaseId, TestCaseName, TestCaseLabel, TypeOfTesting, Description and AuditHistory etc...
  `TestCaseValidationStep`
  `getValidationStep(int nodeId, Node.NodeType nodeType, String testCaseName, String validationStepName)`
  Returns the TestCaseValidationStep Details such as StepName, StepType, Description, ExpectedResult, ActualResult, StepComments and AuditHistory etc...
  `TestCaseValidationStep`
  `getValidationStep(int testCaseId, String validationStepName)`
  Returns the TestCaseValidationStep object with Details such as StepName, StepType, Description, ExpectedResult, ActualResult, StepComments and AuditHistory etc...of the specified testCaseId, validationStepName.
  `String`
  `getValidationStepAs(int testCaseId, String validationStepName, String outputFormat)`
  Returns the TestCaseValidationStep object with Details such as StepName, StepType, Description, ExpectedResult, ActualResult, StepComments and AuditHistory etc...of the specified testCaseId, validationStepName.
  `String`
  `getValidationStepAs(int nodeId, String nodeType, String testCaseName, String validationStepName, String outputFormat)`
  Returns the TestCaseValidationStep Details such as StepName, StepType, Description, ExpectedResult, ActualResult, StepComments and AuditHistory etc...
  `TestCaseValidationStep`
  `getValidationStepById(int validationStepId)`
  Returns the TestCaseValidationStep object with Details such as StepName, StepType, Description, ExpectedResult, ActualResult, StepComments and AuditHistory etc...of the specified validationStepId.
  `String`
  `getValidationStepByIdAs(int validationStepId, String outputFormat)`
  Returns the TestCaseValidationStep object with Details such as StepName, StepType, Description, ExpectedResult, ActualResult, StepComments and AuditHistory etc...of the specified validationStepId.
  `List<TestCaseValidationStep>`
  `getValidationSteps(int testCaseId)`
  Returns the List of TestCaseValidationStep objects with Details such as StepName, StepType, Description, ExpectedResult, ActualResult, StepComments and AuditHistory etc...of the specified testCaseId.
  `List<TestCaseValidationStep>`
  `getValidationSteps(int nodeId, Node.NodeType nodeType, String testCaseName)`
  Returns the List of TestCaseValidationStep objects with Details such as StepName, StepType, Description, ExpectedResult, ActualResult, StepComments and AuditHistory etc...of the specified testCaseName, nodeId of nodeType.
  `String`
  `getValidationStepsAs(int testCaseId, String outputFormat)`
  Returns the TestCaseValidationStep objects with Details such as StepName, StepType, Description, ExpectedResult, ActualResult, StepComments and AuditHistory etc...of the specified testCaseId.
  `String`
  `getValidationStepsAs(int nodeId, String nodeType, String testCaseName, String outputFormat)`
  Returns the List of TestCaseValidationStep objects associated with the given testCaseName with Details such as StepName, StepType, Description, ExpectedResult, ActualResult, StepComments and AuditHistory etc...of the specified testCaseName, nodeId of nodeType.
  `RequestStatus`
  `updateTestCase(TestCase testCase)`
  TestCase will be updated with the details specified in TestCase Object.
  `String`
  `updateTestCaseAs(String testCaseObjJson, String outputFormat)`
  TestCase will be updated with the details specified in TestCase Object.
  `RequestStatus`
  `updateValidationStep(TestCaseValidationStep validationStep)`
  ValidationStep will be updated as specified TestCaseValidationStep Object.
  `String`
  `updateValidationStepAs(String validationStepObjJson, String outputFormat)`
  ValidationStep will be updated as specified ValidationStep Object.
  `RequestStatus`
  `updateValidationSteps(int testCaseId, List<TestCaseValidationStep> validationSteps)`
  ValidationSteps will be updated of the specified testCaseId, with the details specified in TestCaseValidationStep Objects.
  `RequestStatus`
  `updateValidationSteps(List<TestCaseValidationStep> validationSteps)`
  ValidationSteps will be updated as the specified TestCaseValidationStep Objects.
  `String`
  `updateValidationStepsAs(int testCaseId, String validationStepsJsonArray, String outputFormat)`
  ValidationSteps will be updated of the specified testCaseId, with the details specified in TestCaseValidationStep Objects.
  `String`
  `updateValidationStepsAs(String validationStepsJsonArray, String outputFormat)`
  ValidationSteps will be updated as the specified TestCaseValidationStep Objects.

  ### Methods inherited from class com.ads.api.util.BaseUtil

  `getAccessToken, getAccessTokenType, getTokenType, getUserDetails, permissionDeniedMessage, permissionDeniedStatus, setAccessToken, setAccessTokenType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### addTestCase

    public RequestStatus addTestCase(int nodeId, Node.NodeType nodeType, TestCase testCase)
    TestCase will be added for the specified nodeId of nodeType with the details given in TestCase Object.
    nodeType can be either MM_PROJECT, MM_MAPPING, SM_TABLE.
    Depending upon the nodeType, nodeId will be either projectId or mapId or tableId.
    Specifying the nodeType, nodeId and testCaseName in TestCase Object are mandatory.
    Parameters:
      `nodeId` - int
      `nodeType` - Node Object - valid Types are MM_PROJECT, MM_MAPPING, SM_TABLE.
      `testCase` - TestCase Object
    Returns:
      RequestStatus Object - Returns True if TestCase is added successfully, otherwise returns False.
    Since:
      7.0

  - ### addValidationStep

    public RequestStatus addValidationStep(int testCaseId, TestCaseValidationStep validationStep)
    ValidationStep will be added for the specified testCaseId with details given in TestCaseValidationStep Object.
    Specifying testCaseId, validationStepName are mandatory.
    Parameters:
      `testCaseId` - int
      `validationStep` - TestCaseValidationStep Object
    Returns:
      RequestStatus Object - Returns True if ValidationStep is added successfully, otherwise returns False.
    Since:
      7.0

  - ### addValidationStep

    public RequestStatus addValidationStep(int nodeId, Node.NodeType nodeType, String testCaseName, TestCaseValidationStep validationStep)
    ValidationStep will be added for the specified testCaseName of nodeId, nodeType with details given in TestCaseValidationStep Object.
    nodeType can be either MM_PROJECT, MM_MAPPING, SM_TABLE.
    Depending upon the nodeType, nodeId will be either projectId or mapId or tableId.
    Specifying testCaseName, nodeId, nodeType and validationStepName are mandatory.
    Parameters:
      `nodeId` - int
      `nodeType` - Node Object - valid Types are MM_PROJECT, MM_MAPPING, SM_TABLE.
      `testCaseName` - String
      `validationStep` - TestCaseValidationStep Object
    Returns:
      RequestStatus Object - Returns True if ValidationStep is added successfully, otherwise returns False.
    Since:
      7.0

  - ### addValidationSteps

    public RequestStatus addValidationSteps(int nodeId, Node.NodeType nodeType, String testCaseName, List<TestCaseValidationStep> validationSteps)
    ValidationSteps will be added for the specified testCaseName of nodeId, nodeType with details given in the List of TestCaseValidationStep Objects.
    nodeType can be either MM_PROJECT, MM_MAPPING, SM_TABLE.
    Depending upon the nodeType, nodeId will be either projectId or mapId or tableId.
    Specifying testCaseName, nodeId, nodeType and validationStepName are mandatory.
    Parameters:
      `nodeId` - int
      `nodeType` - Node Object - valid Types are MM_PROJECT, MM_MAPPING, SM_TABLE.
      `testCaseName` - String
      `validationSteps` - TestCaseValidationStep Object
    Returns:
      RequestStatus Object - Returns True if ValidationSteps are added successfully, otherwise returns False.
    Since:
      7.0

  - ### addValidationSteps

    public RequestStatus addValidationSteps(int testCaseId, List<TestCaseValidationStep> validationSteps)
    ValidationSteps will be added for the specified testCaseId with details given in the List of TestCaseValidationStep Objects.
    Specifying testCaseId and validationStepNames are mandatory.
    Parameters:
      `testCaseId` - int
      `validationSteps` - TestCaseValidationStep Object
    Returns:
      RequestStatus Object - Returns True if ValidationSteps are added successfully, otherwise returns False.
    Since:
      7.0

  - ### updateTestCase

    public RequestStatus updateTestCase(TestCase testCase)
    TestCase will be updated with the details specified in TestCase Object.
    Specifying testCaseId and testCaseName are mandatory.
    Parameters:
      `testCase` - TestCase Object
    Returns:
      RequestStatus Object - Returns True if TestCase is updated successfully, otherwise returns False.
    Since:
      7.0

  - ### updateValidationStep

    public RequestStatus updateValidationStep(TestCaseValidationStep validationStep)
    ValidationStep will be updated as specified TestCaseValidationStep Object.
    Specifying validationStepId is mandatory.
    Parameters:
      `validationStep` - TestCaseValidationStep Object
    Returns:
      RequestStatus Object - Returns True if ValidationStep is updated successfully, otherwise returns False.
    Since:
      7.0

  - ### updateValidationSteps

    public RequestStatus updateValidationSteps(List<TestCaseValidationStep> validationSteps)
    ValidationSteps will be updated as the specified TestCaseValidationStep Objects.
    Specifying validationStepIds are mandatory.
    Parameters:
      `validationSteps` - List - TestCaseValidationStep Objects
    Returns:
      RequestStatus Object - Returns True if ValidationSteps are updated successfully, otherwise returns False.
    Since:
      7.0

  - ### updateValidationSteps

    public RequestStatus updateValidationSteps(int testCaseId, List<TestCaseValidationStep> validationSteps)
    ValidationSteps will be updated of the specified testCaseId, with the details specified in TestCaseValidationStep Objects.
    Specifying the testCaseId and validationStepName are mandatory.
    Parameters:
      `testCaseId` - int
      `validationSteps` - List - TestCaseValidationStep Objects
    Returns:
      RequestStatus Object - Returns True if ValidationSteps are updated successfully, otherwise returns False.
    Since:
      7.0

  - ### getTestCase

    public TestCase getTestCase(int nodeId, Node.NodeType nodeType, String testCaseName) throws Exception
    Returns the TestCase Details such as TestCaseId, TestCaseName, TestCaseLabel, TypeOfTesting, Description and AuditHistory etc... for the specified testCaseName present in the nodeId of nodeType.
    Specifying the testCaseName, nodeId, nodeType are mandatory.
    nodeType can be either MM_PROJECT, MM_MAPPING, SM_TABLE. Depending upon the nodeType, nodeId will be either projectId, mapId or tableId.
    Parameters:
      `nodeId` - int
      `nodeType` - Node Object - MM_PROJECT, MM_MAPPING, SM_TABLE.
      `testCaseName` - String
    Returns:
      TestCase Object
    Throws:
      `Exception`
    Since:
      7.0

  - ### getTestCases

    public List<TestCase> getTestCases(int nodeId, Node.NodeType nodeType) throws Exception
    Returns the List of TestCase objects with Details such as TestCaseId, TestCaseName, TestCaseLabel, TypeOfTesting, Description and AuditHistory etc...for the specified nodeId of nodeType.
    Specifying the nodeId, nodeType are mandatory.
    nodeType can be either MM_PROJECT, MM_MAPPING, SM_TABLE. Depending upon the nodeType, nodeId will be either projectId, mapId or tableId.
    Parameters:
      `nodeId` - int
      `nodeType` - Node Object - MM_PROJECT, MM_MAPPING, SM_TABLE.
    Returns:
      List of TestCase Objects
    Throws:
      `Exception`
    Since:
      7.0

  - ### getTestCase

    public TestCase getTestCase(int testCaseId) throws Exception
    Returns the TestCase Details such as TestCaseId, TestCaseName, TestCaseLabel, TypeOfTesting, Description and AuditHistory etc... for the specified testCaseId.
    Specifying the testCaseId is mandatory.
    Parameters:
      `testCaseId` - int
    Returns:
      TestCase Object
    Throws:
      `Exception`
    Since:
      7.0

  - ### getTestCases

    public List<TestCase> getTestCases(List<Integer> testCaseIds)
    Returns the TestCases with Details such as TestCaseId, TestCaseName, TestCaseLabel, TypeOfTesting, Description and AuditHistory etc... for the specified testCaseId's.
    Specifying the testCaseId's are mandatory.
    Parameters:
      `testCaseIds` - List
    Returns:
      List of TestCase Objects
    Since:
      7.0

  - ### getValidationStep

    public TestCaseValidationStep getValidationStep(int nodeId, Node.NodeType nodeType, String testCaseName, String validationStepName) throws Exception

    Returns the TestCaseValidationStep Details such as StepName, StepType, Description, ExpectedResult, ActualResult, StepComments and AuditHistory etc... of the specified validationStepName of testCaseName present in nodeId of type nodeType.
    Specifying the validationStepName, testCaseName, nodeId and nodeType are mandatory.
    nodeType can be either MM_PROJECT, MM_MAPPING, SM_TABLE. Depending upon the nodeType, nodeId will be either projectId, mapId or tableId.

    Parameters:
      `nodeId` - int
      `nodeType` - Node Object - MM_PROJECT, MM_MAPPING, SM_TABLE.
      `testCaseName` - String
      `validationStepName` - String
    Returns:
      TestCaseValidationStep Object
    Throws:
      `Exception`
    Since:
      7.0

  - ### getValidationSteps

    public List<TestCaseValidationStep> getValidationSteps(int nodeId, Node.NodeType nodeType, String testCaseName) throws Exception
    Returns the List of TestCaseValidationStep objects with Details such as StepName, StepType, Description, ExpectedResult, ActualResult, StepComments and AuditHistory etc...of the specified testCaseName, nodeId of nodeType.
    Specifying the testCaseName, nodeId, nodeType are mandatory.
    nodeType can be either MM_PROJECT, MM_MAPPING, SM_TABLE. Depending upon the nodeType, nodeId will be either projectId, mapId or tableId.
    Parameters:
      `nodeId` - int
      `nodeType` - Node Object - MM_PROJECT, MM_MAPPING, SM_TABLE.
      `testCaseName` - String
    Returns:
      List of TestCaseValidationStep Objects
    Throws:
      `Exception`
    Since:
      7.0

  - ### getValidationStep

    public TestCaseValidationStep getValidationStep(int testCaseId, String validationStepName) throws Exception
    Returns the TestCaseValidationStep object with Details such as StepName, StepType, Description, ExpectedResult, ActualResult, StepComments and AuditHistory etc...of the specified testCaseId, validationStepName.
    Specifying the testCaseId, validationStepName are mandatory.
    Parameters:
      `testCaseId` - int
      `validationStepName` - String
    Returns:
      TestCaseValidationStep Object
    Throws:
      `Exception`
    Since:
      7.0

  - ### getValidationSteps

    public List<TestCaseValidationStep> getValidationSteps(int testCaseId) throws Exception
    Returns the List of TestCaseValidationStep objects with Details such as StepName, StepType, Description, ExpectedResult, ActualResult, StepComments and AuditHistory etc...of the specified testCaseId.
    Specifying the testCaseId is mandatory.
    Parameters:
      `testCaseId` - int
    Returns:
      List of TestCaseValidationStep Objects
    Throws:
      `Exception`
    Since:
      7.0

  - ### getValidationStepById

    public TestCaseValidationStep getValidationStepById(int validationStepId) throws Exception
    Returns the TestCaseValidationStep object with Details such as StepName, StepType, Description, ExpectedResult, ActualResult, StepComments and AuditHistory etc...of the specified validationStepId.
    Specifying the validationStepId is mandatory.
    Parameters:
      `validationStepId` - int
    Returns:
      TestCaseValidationStep Object
    Throws:
      `Exception`
    Since:
      7.0

  - ### deleteTestCase

    public RequestStatus deleteTestCase(int testCaseId)
    Removes the TestCase of the specified testCaseId. All the details related to that particular testCase are deleted.
    Specifying the testCaseId is mandatory.
    Parameters:
      `testCaseId` - int
    Returns:
      RequestStatus Object - Returns True if TestCase is deleted successfully, otherwise returns False.
    Since:
      7.0

  - ### deleteTestCases

    public RequestStatus deleteTestCases(List<Integer> testCaseIds)
    Removes the TestCases of the specified List of testCaseId's. All the details related to those particular testCases are deleted.
    Specifying the List of testCaseId's are mandatory.
    Parameters:
      `testCaseIds` - List of testCaseIds
    Returns:
      RequestStatus Object - Returns True if TestCases are deleted successfully, otherwise returns False.
    Since:
      7.0

  - ### deleteValidationStep

    public RequestStatus deleteValidationStep(int nodeId, Node.NodeType nodeType, String testCaseName, String stepName)
    Removes the ValidationStep of the specified stepName, testCaseName, nodeId, nodeType. All the details related to those particular stepName are deleted.
    Specifying the testCaseName, stepName, nodeId and nodeType are mandatory.
    nodeType can be either MM_PROJECT, MM_MAPPING, SM_TABLE. Depending upon the nodeType, nodeId will be either projectId, subjectId or environmentId.
    Parameters:
      `nodeId` - int
      `nodeType` - Node Object - MM_PROJECT, MM_MAPPING, SM_TABLE.
      `testCaseName` - String
      `stepName` - String
    Returns:
      RequestStatus Object - Returns True if ValidationStep is deleted successfully, otherwise returns False.
    Since:
      7.0

  - ### deleteValidationSteps

    public RequestStatus deleteValidationSteps(int nodeId, Node.NodeType nodeType, String testCaseName, List<String> stepNames)
    Removes the ValidationSteps of the specified List of stepNames, testCaseName, nodeId, nodeType. All the details related to those particular stepNames are deleted.
    Specifying the testCaseName, stepNames, nodeId and nodeType are mandatory.
    nodeType can be either MM_PROJECT, MM_MAPPING, SM_TABLE. Depending upon the nodeType, nodeId will be either projectId, subjectId or environmentId.
    Parameters:
      `nodeId` - int
      `nodeType` - Node Object - MM_PROJECT, MM_MAPPING, SM_TABLE.
      `testCaseName` - String
      `stepNames` - List
    Returns:
      RequestStatus Object - Returns True if ValidationSteps are deleted successfully, otherwise returns False.
    Since:
      7.0

  - ### deleteValidationSteps

    public RequestStatus deleteValidationSteps(int testCaseId)
    Removes the ValidationSteps of the specified testCaseId. All the details related to the particular testCaseId are deleted.
    Specifying the testCaseId is mandatory.
    Parameters:
      `testCaseId` - int
    Returns:
      RequestStatus Object - Returns True if ValidationSteps are deleted successfully, otherwise returns False.
    Since:
      7.0

  - ### deleteValidationStep

    public RequestStatus deleteValidationStep(int testCaseId, String stepName)
    Removes the ValidationStep of the specified testCaseId and stepName. All the details related to the particular testCaseId are deleted.
    Specifying the testCaseId and stepName are mandatory.
    Parameters:
      `testCaseId` - int
      `stepName` - String
    Returns:
      RequestStatus Object - Returns True if ValidationStep is deleted successfully, otherwise returns False.
    Since:
      7.0

  - ### deleteValidationSteps

    public RequestStatus deleteValidationSteps(int testCaseId, List<String> stepNames)
    Removes the ValidationSteps of the specified testCaseId and List of stepNames. All the details related to the particular testCaseId are deleted.
    Specifying the testCaseId and List of stepNames are mandatory.
    Parameters:
      `testCaseId` - int
      `stepNames` - List of stepNames
    Returns:
      RequestStatus Object - Returns True if ValidationSteps are deleted successfully, otherwise returns False.
    Since:
      7.0

  - ### deleteValidationStep

    public RequestStatus deleteValidationStep(int validationStepId)
    Removes the ValidationStep of the specified validationStepId. All the details related to the particular validationStepId are deleted.
    Specifying the validationStepId is mandatory.
    Parameters:
      `validationStepId` - int
    Returns:
      RequestStatus Object - Returns True if ValidationStep is deleted successfully, otherwise returns False.
    Since:
      7.0

  - ### deleteValidationSteps

    public RequestStatus deleteValidationSteps(List<Integer> stepIds)
    Removes the TestSteps of the specified List of stepIds. All the details related to those stepIds are deleted.
    Specifying the List of stepIds are mandatory.
    Parameters:
      `stepIds` - List
    Returns:
      RequestStatus Object - Returns True if ValidationSteps are deleted successfully, otherwise returns False.
    Since:
      7.0

  - ### addTestCaseAs

    public String addTestCaseAs(int nodeId, String nodeType, String testCaseObjJson, String outputFormat)
    TestCase will be added for the specified nodeId of nodeType with the details given in TestCase Object.
    nodeType can be either MM_PROJECT, MM_MAPPING, SM_TABLE. Depending upon the nodeType, nodeId will be either projectId or mapId or tableId.
    Specifying the nodeType, nodeId and testCaseName in TestCase Object are mandatory.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeId` - int
      `nodeType` - Node Object - valid Types - MM_PROJECT, MM_MAPPING, SM_TABLE.
      `testCaseObjJson` - String - TestCase Object
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If TestCase is added Successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'testCaseObjJson' JSON :
      {
      "testCaseTypeId": "",
      "priorityName": null,
      "lastModifiedDateTime": "",
      "attachFile": null,
      "approvedBy": "",
      "docMode": "",
      "subjectId": "",
      "saveFilePath": "",
      "priorityId": "",
      "testDocApprovalDate": "",
      "testDocObject": "",
      "approved": "false",
      "validationStepMap": {},
      "documentLink": "",
      "testCaseLevel": "",
      "approvalFlag": "",
      "testDocId": "",
      "validExcelCase": false,
      "testDocType": "",
      "statusId": "",
      "expectedResult": "",
      "testcaseLabel": "",
      "modifiedDate": "",
      "mapId": "",
      "extendable": "false",
      "projectName": "",
      "projectId": "",
      "testCaseId": "",
      "actualResult": "",
      "attachDoc": "",
      "description": "",
      "testCaseComments": "",
      "validationStepsList": [],
      "testSQLScript": "",
      "testDocOwner": "",
      "testStepComments": "",
      "testTypeName": null,
      "statusName": null,
      "modifiedBy": "",
      "documentStatus": "",
      "testCaseName": "",
      "mapName": "",
      "excelInvalidRows": null,
      "objectId": "",
      "subjectName": "",
      "testDocIntededUseDescr": "",
      "isCopied": false,
      "testCaseLabel": "",
      "externalTestcaseId": null,
      "message": "",
      "objectName": "",
      "testDocName": "",
      "successOption": ""
      }

    Since:
      7.0

  - ### addValidationStepAs

    public String addValidationStepAs(int nodeId, String nodeType, String testCaseName, String validationStepJsonObj, String outputFormat)
    ValidationStep will be added for the specified testCaseName of nodeId, nodeType with details given in TestCaseValidationStep Object.
    nodeType can be either MM_PROJECT, MM_MAPPING, SM_TABLE. Depending upon the nodeType, nodeId will be either projectId or mapId or tableId.
    Specifying testCaseName, nodeId, nodeType and validationStepName are mandatory.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeId` - int
      `nodeType` - Node Object - valid Types - MM_PROJECT, MM_MAPPING, SM_TABLE.
      `testCaseName` - String
      `validationStepJsonObj` - TestCaseValidationStep Object
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If ValidationStep is added Successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'validationStepObjJson' JSON :
      {
      "stepName": "",
      "comments": "",
      "validationStepType": "",
      "description": "",
      "statusId": 0,
      "expectedResult": "",
      "actualResult": ""
      }

    Since:
      7.0

  - ### addValidationStepsAs

    public String addValidationStepsAs(int nodeId, String nodeType, String testCaseName, String validationStepsJsonArray, String outputFormat)
    ValidationSteps will be added for the specified testCaseName of nodeId, nodeType with details given in the List of TestCaseValidationStep Objects.
    nodeType can be either MM_PROJECT, MM_MAPPING, SM_TABLE. Depending upon the nodeType, nodeId will be either projectId or mapId or tableId.
    Specifying testCaseName, nodeId, nodeType and validationStepNames are mandatory.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeId` - int
      `nodeType` - Node Object - valid Types - MM_PROJECT, MM_MAPPING, SM_TABLE.
      `testCaseName` - String
      `validationStepsJsonArray` - List of TestCaseValidationStep Objects
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If ValidationSteps are added Successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'validationStepsJsonArray' for this:
      [
      {
      "stepName": "",
      "comments": "",
      "validationStepType": "",
      "description": "",
      "statusId": 0,
      "expectedResult": "",
      "actualResult": ""
      },
      {
      "stepName": "",
      "comments": "",
      "validationStepType": "",
      "description": "",
      "statusId": 0,
      "expectedResult": "",
      "actualResult": ""
      }
      ]

    Since:
      7.0

  - ### addValidationStepAs

    public String addValidationStepAs(int testCaseId, String validationStepObjJson, String outputFormat)
    ValidationStep will be added for the specified testCaseId with details given in TestCaseValidationStep Object. Specifying testCaseId, validationStepName are mandatory.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `testCaseId` - int
      `validationStepObjJson` - validationStep Object
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If ValidationStep is added Successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'validationStepObjJson' JSON :
      {
      "stepName": "",
      "comments": "",
      "validationStepType": "",
      "description": "",
      "statusId": 0,
      "expectedResult": "",
      "actualResult": ""
      }

    Since:
      7.0

  - ### addValidationStepsAs

    public String addValidationStepsAs(int testCaseId, String validationStepsJsonArray, String outputFormat)
    ValidationSteps will be added for the specified testCaseId with details given in the List of TestCaseValidationStep Objects.
    Specifying testCaseId and validationStepName's are mandatory.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `testCaseId` - int
      `validationStepsJsonArray` - List of validationSteps
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If ValidationSteps are added Successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'validationStepsJsonArray' for this:
      [
      {
      "stepName": "",
      "comments": "",
      "validationStepType": "",
      "description": "",
      "statusId": 0,
      "expectedResult": "",
      "actualResult": ""
      },
      {
      "stepName": "",
      "comments": "",
      "validationStepType": "",
      "description": "",
      "statusId": 0,
      "expectedResult": "",
      "actualResult": ""
      }
      ]

    Since:
      7.0

  - ### updateTestCaseAs

    public String updateTestCaseAs(String testCaseObjJson, String outputFormat)
    TestCase will be updated with the details specified in TestCase Object. Specifying testCaseId and testCaseName are mandatory.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `testCaseObjJson` - testCase Object
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If TestCase is updated Successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'testCaseObjJson' for this:
      {
      "testCaseName": "Test case updated",
      "testCaseId" : 0,
      "testcaseLabel": "",
      "testCaseTypeId": "",
      "actualResult": "",
      "attachDoc": "",
      "description": "",
      "testCaseLevel": "",
      "testCaseComments": "",
      "expectedResult": ""
      }

    Since:
      7.0

  - ### updateValidationStepAs

    public String updateValidationStepAs(String validationStepObjJson, String outputFormat)
    ValidationStep will be updated as specified ValidationStep Object.
    Specifying validationStepId is mandatory.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `validationStepObjJson` - TestCaseValidationStep Object
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If ValidationStep is updated Successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'validationStepObjJson' for this:
      {
      "stepName": "",
      "validationStepId": ,
      "comments": "",
      "validationStepType": "",
      "description": "",
      "statusId": 0,
      "expectedResult": "",
      "actualResult": ""
      }

    Since:
      7.0

  - ### updateValidationStepsAs

    public String updateValidationStepsAs(String validationStepsJsonArray, String outputFormat)
    ValidationSteps will be updated as the specified TestCaseValidationStep Objects. Specifying validationStepIds are mandatory.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `validationStepsJsonArray` - List - TestCaseValidationStep - Objects
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If ValidationSteps are updated Successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'validationStepJsonArray' JSON :
      [
      {
      "stepName": "",
      "validationStepId": 0,
      "comments": "",
      "validationStepType": "",
      "description": "",
      "statusId": 0,
      "expectedResult": "",
      "actualResult": ""
      },
      {
      "stepName": "",
      "validationStepId": 0,
      "comments": "",
      "validationStepType": "",
      "description": "",
      "statusId": 0,
      "expectedResult": "",
      "actualResult": ""
      }
      ]

    Since:
      7.0

  - ### updateValidationStepsAs

    public String updateValidationStepsAs(int testCaseId, String validationStepsJsonArray, String outputFormat)
    ValidationSteps will be updated of the specified testCaseId, with the details specified in TestCaseValidationStep Objects.
    Specifying the testCaseId and validationStepIds are mandatory.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `testCaseId` - int
      `validationStepsJsonArray` - List - TestCaseValidationStep Objects
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If ValidationSteps are updated Successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'validationStepsJsonArray' for this:
      [
      {
      "stepName": "",
      "validationStepId": 0,
      "comments": "",
      "validationStepType": "",
      "description": "",
      "statusId": 0,
      "expectedResult": "",
      "actualResult": ""
      },
      {
      "stepName": "",
      "validationStepId": 0,
      "comments": "",
      "validationStepType": "",
      "description": "",
      "statusId": 0,
      "expectedResult": "",
      "actualResult": ""
      }
      ]

    Since:
      7.0

  - ### getTestCaseAs

    public String getTestCaseAs(int nodeId, String nodeType, String testCaseName, String outputFormat)
    Returns the TestCase Details such as TestCaseId, TestCaseName, TestCaseLabel, TypeOfTesting, Description and AuditHistory etc... for the specified testCaseName present in the nodeId of nodeType.
    Specifying the testCaseName, nodeId, nodeType are mandatory.
    nodeType can be either MM_PROJECT, MM_MAPPING, SM_TABLE. Depending upon the nodeType, nodeId will be either projectId, mapId or tableId.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeId` - int
      `nodeType` - Node Object - valid Types - MM_PROJECT, MM_MAPPING, SM_TABLE.
      `testCaseName` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If TestCase is returned Successfully, it returns Success message, otherwise returns failure message.
    Since:
      7.0

  - ### getTestCasesAs

    public String getTestCasesAs(int nodeId, String nodeType, String outputFormat)
    Returns the List of TestCase objects with Details such as TestCaseId, TestCaseName, TestCaseLabel, TypeOfTesting, Description and AuditHistory etc...for the specified nodeId of nodeType.
    Specifying the nodeId, nodeType are mandatory.
    nodeType can be either MM_PROJECT, MM_MAPPING, SM_TABLE. Depending upon the nodeType, nodeId will be either projectId, mapId or tableId.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeId` - int
      `nodeType` - Node Object - valid Types - MM_PROJECT, MM_MAPPING, SM_TABLE.
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If TestCases are returned Successfully, it returns Success message, otherwise returns failure message.
    Since:
      7.0

  - ### getTestCasesAs

    public String getTestCasesAs(String testCaseIdsJson, String outputFromat)
    Returns the TestCases with Details such as TestCaseId, TestCaseName, TestCaseLabel, TypeOfTesting, Description and AuditHistory etc... for the specified testCaseId's.
    Specifying the testCaseId's are mandatory.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `testCaseIdsJson` - List of TestCaseId's
      `outputFromat` - String - Valid values: JSON or XML
    Returns:
      String - If List of TestCases are returned Successfully, it returns Success message, otherwise returns failure message.
    Since:
      7.0

  - ### getTestCaseAs

    public String getTestCaseAs(int testCaseId, String outputFormat)
    Returns the TestCase Details such as TestCaseId, TestCaseName, TestCaseLabel, TypeOfTesting, Description and AuditHistory etc... for the specified testCaseId.
    Specifying the testCaseId is mandatory.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `testCaseId` - int
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If TestCase is returned Successfully, it returns Success message, otherwise returns failure message.
    Since:
      7.0

  - ### getValidationStepAs

    public String getValidationStepAs(int testCaseId, String validationStepName, String outputFormat)
    Returns the TestCaseValidationStep object with Details such as StepName, StepType, Description, ExpectedResult, ActualResult, StepComments and AuditHistory etc...of the specified testCaseId, validationStepName.
    Specifying the testCaseId, validationStepName are mandatory.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `testCaseId` - int
      `validationStepName` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If ValidationStep is returned Successfully, it returns Success message, otherwise returns failure message.
    Since:
      7.0

  - ### getValidationStepAs

    public String getValidationStepAs(int nodeId, String nodeType, String testCaseName, String validationStepName, String outputFormat)
    Returns the TestCaseValidationStep Details such as StepName, StepType, Description, ExpectedResult, ActualResult, StepComments and AuditHistory etc... of the specified validationStepName of testCaseName present in nodeId of type nodeType.
    Specifying the validationStepName, testCaseName, nodeId and nodeType are mandatory.
    nodeType can be either MM_PROJECT, MM_MAPPING, SM_TABLE. Depending upon the nodeType, nodeId will be either projectId, mapId or tableId.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeId` - int
      `nodeType` - Node Object - valid Types - MM_PROJECT, MM_MAPPING, SM_TABLE.
      `testCaseName` - String
      `validationStepName` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If ValidationStep is returned Successfully, it returns Success message, otherwise returns failure message.
    Since:
      7.0

  - ### getValidationStepsAs

    public String getValidationStepsAs(int nodeId, String nodeType, String testCaseName, String outputFormat)
    Returns the List of TestCaseValidationStep objects associated with the given testCaseName with Details such as StepName, StepType, Description, ExpectedResult, ActualResult, StepComments and AuditHistory etc...of the specified testCaseName, nodeId of nodeType.
    Specifying the testCaseName, nodeId, nodeType are mandatory.
    nodeType can be either MM_PROJECT, MM_MAPPING, SM_TABLE. Depending upon the nodeType, nodeId will be either projectId, mapId or tableId.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeId` - int
      `nodeType` - Node Object - valid Types - MM_PROJECT, MM_MAPPING, SM_TABLE.
      `testCaseName` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If ValidationSteps are returned Successfully, it returns Success message, otherwise returns failure message.
    Since:
      7.0

  - ### getValidationStepsAs

    public String getValidationStepsAs(int testCaseId, String outputFormat)
    Returns the TestCaseValidationStep objects with Details such as StepName, StepType, Description, ExpectedResult, ActualResult, StepComments and AuditHistory etc...of the specified testCaseId.
    Specifying the testCaseId is mandatory.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `testCaseId` - int
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If ValidationSteps are returned Successfully, it returns Success message, otherwise returns failure message.
    Since:
      7.0

  - ### getValidationStepByIdAs

    public String getValidationStepByIdAs(int validationStepId, String outputFormat)
    Returns the TestCaseValidationStep object with Details such as StepName, StepType, Description, ExpectedResult, ActualResult, StepComments and AuditHistory etc...of the specified validationStepId.
    Specifying the validationStepId is mandatory.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `validationStepId` - int
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If ValidationStep is returned Successfully, it returns Success message, otherwise returns failure message.
    Since:
      7.0

  - ### deleteTestCaseAs

    public String deleteTestCaseAs(int testCaseId, String outputFormat)
    Removes the TestCase of the specified testCaseId. All the details related to that particular testCase are deleted.
    Specifying the testCaseId is mandatory.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `testCaseId` - int
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If TestCase is deleted Successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      7.0

  - ### deleteTestCasesAs

    public String deleteTestCasesAs(String testCaseIdsJsonArray, String outputFormat)
    Removes the TestCases of the specified List of testCaseId's. All the details related to those particular testCases are deleted.
    Specifying the List of testCaseIds are mandatory.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `testCaseIdsJsonArray` - List of TestCaseIds
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If TestCases are deleted Successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      7.0

  - ### deleteValidationStepAs

    public String deleteValidationStepAs(int testCaseId, String stepName, String outputFormat)
    Removes the ValidationStep of the specified testCaseId and stepName. All the details of validationStep related to the particular testCaseId are deleted.
    Specifying the testCaseId and stepName are mandatory.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `testCaseId` - int
      `stepName` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If validationStep is deleted Successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      7.0

  - ### deleteValidationStepAs

    public String deleteValidationStepAs(int nodeId, String nodeType, String testCaseName, String stepName, String outputFormat)
    Removes the ValidationStep of the specified stepName, testCaseName, nodeId, nodeType. All the details related to those particular stepName are deleted.
    Specifying the testCaseName, stepName, nodeId and nodeType are mandatory.
    nodeType can be either MM_PROJECT, MM_MAPPING, SM_TABLE. Depending upon the nodeType, nodeId will be either projectId, subjectId or environmentId.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeId` - int
      `nodeType` - Node Object - valid Types - MM_PROJECT, MM_MAPPING, SM_TABLE.
      `testCaseName` - String
      `stepName` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If validationStep is deleted Successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      7.0

  - ### deleteValidationStepsAs

    public String deleteValidationStepsAs(int nodeId, String nodeType, String testCaseName, String stepNamesJsonArray, String outputFormat)
    Removes the ValidationSteps of the specified List of stepNames, testCaseName, nodeId, nodeType. All the details related to those particular stepNames are deleted.
    Specifying the testCaseName, stepNames, nodeId and nodeType are mandatory.
    nodeType can be either MM_PROJECT, MM_MAPPING, SM_TABLE. Depending upon the nodeType, nodeId will be either projectId, subjectId or environmentId.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeId` - int
      `nodeType` - Node Object - valid Types - MM_PROJECT, MM_MAPPING, SM_TABLE.
      `testCaseName` - String
      `stepNamesJsonArray` - List of stepNames
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If validationSteps are deleted Successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      7.0

  - ### deleteValidationStepsAs

    public String deleteValidationStepsAs(int testCaseId, String outputFormat)
    Removes the ValidationSteps of the specified testCaseId. All the details related to the particular testCaseId are deleted.
    Specifying the testCaseId is mandatory.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `testCaseId` - int
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If validationSteps are deleted Successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      7.0

  - ### deleteValidationStepsAs

    public String deleteValidationStepsAs(int testCaseId, String stepNamesJsonArray, String outputFormat)
    Removes the ValidationSteps of the specified testCaseId and List of stepNames. All the details related to the particular testCaseId are deleted.
    Specifying the testCaseId and List of stepNames are mandatory.
    Parameters:
      `testCaseId` - int
      `stepNamesJsonArray` - List of stepNames
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If validationSteps are deleted Successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Example for this:
      ["step1","step2","step3"]

    Since:
      7.0

  - ### deleteValidationStepByIdAs

    public String deleteValidationStepByIdAs(int validationStepId, String outputFormat)
    Removes the ValidationStep of the specified validationStepId. All the details related to the particular validationStepId are deleted.
    Specifying the validationStepId is mandatory.
    Parameters:
      `validationStepId` -
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If validationStep is deleted Successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      7.0

  - ### deleteValidationStepsAs

    public String deleteValidationStepsAs(String stepIdsJsonArray, String outputFormat)
    Deletes the TestSteps for the specified List of stepIds.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `stepIdsJsonArray` - String - List of stepIds.
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If TestSteps are deleted Successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      7.0